Subject: bug#60830: 30.0.50; The *Compilation* buffer does not recognize Lua errors

From: Stefan Monnier <[email-masked]>
Date: Fri, 06 Oct 2023 10:47:26 -0400

>> Can we rely on the ordering in `compilation-error-regexp-alist` to give
>> precedence to the other rules?
> Currently the ordering in `compilation-error-regexp-alist` (CERA for short)
> is the one used, but perhaps you mean the ordering in
> `compilation-error-regexp-alist-alist` (CERAA)?

No, I do mean the ordering in CERA: is there a reason not to use this
ordering to lower the precedence of those Lua rules instead of
disabling them?

Admittedly, there is a performance cost to having all those big regexps
active "just in case".  Short of convincing tool authors to stop the
madness and to settle on a standard format (seems the only accepted
such standard format, nowadays, is LSP 🙁), I wonder is we could come
with a way to figure out tell tale signs that particular tools might be
(or can't be) used.

        Stefan